org.baraza.ide

## Class BFileEdit

- java.lang.Object
- - org.baraza.ide.BFileEdit

- All Implemented Interfaces:
    KeyListener, EventListener

      public class BFileEdit
      extends Object
      implements KeyListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `JScrollPane` | `scrollPanes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BFileEdit(File lfile, BLogHandle logHandle)`
    `BFileEdit(String dbDirName, BLogHandle logHandle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendText(String mystr)`
    `static String` | `getCurrentDate(String format)`
    `String` | `getName()`
    `String` | `getText()`
    `void` | `keyPressed(KeyEvent e)`
    `void` | `keyReleased(KeyEvent e)`
    `void` | `keyTyped(KeyEvent e)`
    `void` | `saveAsFile()`
    `void` | `saveFile()`
    `void` | `setText(String mystr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### scrollPanes

          public JScrollPane scrollPanes

  - ### Constructor Detail

    - #### BFileEdit

          public BFileEdit(File lfile,
                   BLogHandle logHandle)

    - #### BFileEdit

          public BFileEdit(String dbDirName,
                   BLogHandle logHandle)

  - ### Method Detail

    - #### saveFile

          public void saveFile()

    - #### saveAsFile

          public void saveAsFile()

    - #### getName

          public String getName()

    - #### getText

          public String getText()

    - #### setText

          public void setText(String mystr)

    - #### appendText

          public void appendText(String mystr)

    - #### getCurrentDate

          public static String getCurrentDate(String format)

    - #### keyPressed

          public void keyPressed(KeyEvent e)

      Specified by:
        `keyPressed` in interface `KeyListener`

    - #### keyReleased

          public void keyReleased(KeyEvent e)

      Specified by:
        `keyReleased` in interface `KeyListener`

    - #### keyTyped

          public void keyTyped(KeyEvent e)

      Specified by:
        `keyTyped` in interface `KeyListener`

Copyright © 2016 openBaraza. All Rights Reserved.